package com.tuoheng.admin.enums.code.leg;

/**
 *  根据航道id获取该航道下航道列表返回码
 *      模块代码：22（航段管理）
 *      接口代码：04 （根据航道d获取该航道下航道列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
public enum QueryLegListByChannelIdCodeEnum {

    QUERY_IS_FAILED(1220400, "获取数据失败"),
    ROAD_ID_IS_NULL(1220401, "航道id为空"),
    ROAD_IS_NOT_EXIST(1220402, "航道不存在"),
    SECTION_LIST_IS_NULL(1220403, "航段列表为空"),
    DEPT_ID_IS_NULL(1220404, "部门ID为空"),
    DEPT_IS_NOT_EXIST(1220405, "部门不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryLegListByChannelIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
